For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all projects.
      • POSTCreates a new project.
      • POSTEdits multiple projects using the specified operation.
      • GETReturns the project with the specified key.
      • GETReturns the project with the specified id.
      • PUTUpdates the project with the specified id.
      • POSTChanges the project type of the project with the specified id.
      • POSTChanges the status of the project with the specified id.
      • POSTDeletes the project with the specified id.
      • GETReturns the project members of the project with the specified id.
      • POSTRemoves a project member from the project with the specified id.
      • POSTUpdates the project key for the specified project and all associated task identifiers.
      • POSTUpdates the order of a project status.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProjects

Updates the order of a project status.

POST
https://api.awork.com/api/v1/projects/:projectId/updateprojectstatusorder
POST
/api/v1/projects/:projectId/updateprojectstatusorder
$curl -X POST https://api.awork.com/api/v1/projects/projectId/updateprojectstatusorder \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectStatusId": "123e4567-e89b-12d3-a456-426614174000"
>}'
Updates the order of a project status. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all existing project types.

Next
Built with

Updates the order of a project status.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The model to update the project status order.
projectStatusIdstringRequiredformat: "uuid"
The id of the project status.
orderinteger or nullOptional
The order value which determines the position of the project status in the flow of the project type. Only accepts 0 and positive values. For independent statuses without successor and predecessor this value is set to null.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error